package com.uas.platform.b2b.erp.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Service;

import com.uas.platform.b2b.erp.model.BarPackageDown;
import com.uas.platform.b2b.erp.service.BarPackageDownService;
import com.uas.platform.b2b.model.BarPackage;

@Service
public class BarPackageDownServiceImpl implements BarPackageDownService{

	@Override
	public List<BarPackageDown> convertBarPackageDowns(List<BarPackage> packages) {
		List<BarPackageDown> downs = new ArrayList<BarPackageDown>();
		for(BarPackage barpackage: packages) {
			downs.add(new BarPackageDown(barpackage));
		}
		return downs;
	}

}
